@font-face {
    font-family: 'Atkinson Hyperlegible';
    src: url('../fonts/Atkinson-Hyperlegible-Bold-102.otf') format('opentype');
    font-weight: bold;
}

@font-face {
    font-family: 'Atkinson Hyperlegible';
    src: url('../fonts/Atkinson-Hyperlegible-BoldItalic-102.otf') format('opentype');
    font-weight: bold;
    font-style: italic;
}

@font-face {
    font-family: 'Atkinson Hyperlegible';
    src: url('../fonts/Atkinson-Hyperlegible-Italic-102.otf') format('opentype');
    font-style: italic;
}

@font-face {
    font-family: 'Atkinson Hyperlegible';
    src: url('../fonts/Atkinson-Hyperlegible-Regular-102.otf') format('opentype');
}

* {
    margin: 0;
    padding: 0;
    border: 0;
    vertical-align: baseline;
    box-sizing: border-box;
}

body {
    font-family: 'Atkinson Hyperlegible', sans-serif;
    color: #000;
}

article {
    overflow: hidden;
    background-color: rgb(189, 189, 189);
    position: absolute;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

article .portada {
    padding: 2em 1em;
}

article section {
    position: absolute;
    top: 5%;
    left: 5%;
    width: 90%;
    height: 90%;
    padding: 5em 2em;
    opacity: 0;
    text-align: center;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75);
    -webkit-box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75);
    -moz-box-shadow: 10px 10px 5px 0px rgba(0,0,0,0.75);
    overflow: hidden;
}

code {
    background-color:#EEE;
    color: #000;
    display: inline-block;
    padding: .5em;
    text-align: left;
    font-size: 1.6em;
}

td code {
    padding: 0;
    display: block;
}

h1 {
    margin-top: .5em;
    font-size: 9em;
}

h2 {
    font-size: 4em;
    padding-bottom: .4em;
}

h3 {
    font-size: 3em;
    padding-bottom: .4em;
}

h4 {
    font-size: 2em;
}

table {
    font-size: 1.2em;
    border-collapse: collapse;
    border: 1px solid black;
}

th {
    font-size: 1.25em;
    font-weight: bold;
    text-align: center;
    padding: .3em;
}

td, th {
    padding: .2em;
    vertical-align: middle;
    border: 1px solid black;
}

p {
    font-size: 2em;
    padding: .2em;
}

hr {
    border: 1px solid;
}

article.portada {
    background: radial-gradient(circle, #555A5F, #1C1E20);
    background-color: #282a2d;
    color: #eee;
}

article.portada section{
    background: none;
    box-shadow: none;
}

article.portada h1{
    text-shadow: 0 1px 0 #CCC, 0 2px 0 #C9C9C9, 0 3px 0 #BBB, 0 4px 0 #B9B9B9, 0 5px 0 #AAA, 0 6px 1px rgba(0, 0, 0, 0.1), 0 0 5px rgba(0, 0, 0, 0.1), 0 1px 3px rgba(0, 0, 0, 0.3), 0 3px 5px rgba(0, 0, 0, 0.2), 0 5px 10px rgba(0, 0, 0, 0.25), 0 20px 20px rgba(0, 0, 0, 0.15);
}

article.clean section {
    backface-visibility: hidden;
    transition: all 0.8s cubic-bezier(0.26, 0.86, 0.44, 0.985);
    z-index: 1;
    background-image: url('../img/background.jpg');
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.lista {
    display: inline-block;
    text-align: left;
    margin: 0 0 0 1em;
}

.lista > li {
    color: #606060;
    font-size: 2em;
    line-height: 1.3em;
}

.sub-lista > li, .lista ul > li {
    margin: 0 0 0 1em;
}


article section.bespoke-active {
    opacity: 1;
}

article section.bespoke-before {
    transform: translate3d(-2000px, 0, 0);
}

article section.bespoke-after {
    transform: translate3d(2000px, 0, 0);
}

.d-block {
    display: block !important;
}

.center {
  margin-left: auto;
  margin-right: auto;
}

.text-center {
    text-align: center !important;
}

.text-left {
    text-align: left;
}

.m-05 {
    margin: .5em;
}

.mt-2 {
    margin-top: 2em;
}
.pt-2 {
    padding-top: 2em;
}

.pt-05 {
    padding-top: .5em;
}

.float-left {
    float: left;
}

.float-right {
    float: right;
}

.codigo-html {
    color: black;
    background-color:#EEE;
    font-weight: bold;
}

.etiqueta {
    color: brown;
}

.atributo {
    color: red;
}

.valor {
    color: #569cd6;
}

.arroba-css {
    color: #c586c0;
}

.media {
    color: #ce9178;
}

.selector {
    color: #9b7b35;
}

.propiedad {
    color: #2c6383;
}

.valor-css {
    color: #a85f42;
}

.etiqueta::before {
    color: #708090;
    content: "<"
}
.etiqueta::after {
    color: #708090;
    content: ">"
}

.w-50 {
    width: 50%;
}

.w-full {
    width: 100%;
}

.h-full {
    height: 100%;
}

.font-size05 {
    font-size: .5em;
}

.font-size75 {
    font-size: .75em;
}

.font-size2 {
    font-size: 2em;
}

.importante {
    padding-top: .5em;
    font-size: 2em;
    font-weight: bold;
}

.negrita {
    font-weight: bold;
}

.columnas-flex {
    display: flex;
    flex-wrap: wrap;
}

.columnas-flex > * {
    flex: 1;
}

.columna-centrada {
    justify-content: center;
    display: flex;
    align-items: center; 
}

.columnas-flex > .columna-doble {
    flex: 2;
}

.lista-icono {
    list-style: none;
}
.lista-icono::before {
    content: '';
    display: inline-block;
    height: 15px;
    width: 15px;
    background-image: url();
}

.icono-carpeta:before {
    background-image: url('../img/folder.svg');
}

.icono-fichero:before {
    background-image: url('../img/page.svg');
}

.ejemplo {
    font-size: 2em;
}


@media screen and (max-width: 1024px), 
    screen and (max-height: 780px){
    body {
        font-size: .75em;
    }

    h2 {
        padding-bottom: .2em;
    }
}